#!/bin/sh
-# make sure that --exact no longer gobbles a command line argument
+# make sure that neither --exact nor --zero gobbles a command line argument
if test "$VERBOSE" = yes; then
set -x
framework_failure=0
mkdir $tmp || framework_failure=1
cd $tmp || framework_failure=1
-echo a > a || framework_failure=1
-echo bb > b || framework_failure=1
-echo ccc > c || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
fail=0
-shred --remove --exact a b || fail=1
-test -f a && fail=1
-test -f b && fail=1
+for opt in --exact --zero; do
+ echo a > a || fail=1
+ echo bb > b || fail=1
+ echo ccc > c || fail=1
-shred --remove --exact c || fail=1
-test -f c && fail=1
+ shred --remove $opt a b || fail=1
+ test -f a && fail=1
+ test -f b && fail=1
+
+ shred --remove $opt c || fail=1
+ test -f c && fail=1
+done
(exit $fail); exit